from distutils.core import setup

try:
    import pypandoc
    long_description = pypandoc.convert_file('README.md', 'rst')
except(IOError, ImportError):
    with open('README.md') as f:
        long_description = f.read()


version = '0.3.0'


setup (
    name='checktypes',
    description=('Library for creating utility classes giving a nice '
                 'abstraction for type checking and data validation'),
    long_description=long_description,
    packages=['checktypes'],
    version=version,
    author='Yahya Abou Imran',
    author_email='yahya-abou-imran@protonmail.com',
    url='https://gitlab.com/yahya-abou-imran/checktypes',
    download_url=('https://gitlab.com/yahya-abou-imran/checktypes/repository/'
                  'v{version}/archive.zip'.format(version=version))
)
